Bug 1420276 (CVE-2017-5986)

Summary: CVE-2017-5986 kernel: Reachable BUG_ON from userspace in sctp_wait_for_sndbuf
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aquini, bhu, dhoward, fhrbata, gansalmon, iboverma, ichavero, itamar, jforbes, jkacur, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, labbott, lgoncalv, lxin, madhu.chinakonda, matt, mchehab, mcressma, mleitner, nmurray, pholasek, plougher, rt-maint, rvrbovsk, security-response-team, slawomir, vdronov, williams
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
It was reported that with Linux kernel, earlier than version v4.10-rc8, an application may trigger a BUG_ON in sctp_wait_for_sndbuf if the socket tx buffer is full, a thread is waiting on it to queue more data, and meanwhile another thread peels off the association being used by the first thread.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 03:07:19 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1421740, 1421741, 1429493, 1429494, 1429496, 1429497, 1459305    
Bug Blocks: 1420295    

Description Adam Mariš 2017-02-08 10:38:40 UTC
It was reported that with Linux kernel, earlier than version v4.10-rc8, an application may trigger a BUG_ON in sctp_wait_for_sndbuf if the socket tx buffer is full, a thread is waiting on it to queue more data, and meanwhile another thread peels off the association being used by the first thread.

References:

https://lkml.org/lkml/2017/1/30/238

http://seclists.org/oss-sec/2017/q1/432

Upstream patch:

https://github.com/torvalds/linux/commit/2dcab598484185dea7ec22219c76dcdd59e3cb90

Comment 6 Vladis Dronov 2017-02-13 15:02:00 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1421741]

Comment 7 Fedora Update System 2017-02-13 22:48:29 UTC
kernel-4.9.9-100.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Vladis Dronov 2017-02-14 11:48:23 UTC
Statement:

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 5, 6 and MRG-2. This has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

This issue affects the Linux kernel packages as shipped with Red Hat Enterprise Linux 7. This flaw may affect multiple containers running on this system. Future Linux kernel updates for the respective releases might address this issue.

Comment 9 Marcelo Ricardo Leitner 2017-02-20 19:27:11 UTC
Please reconsider this at least for RHEL7. With containers, this can be pretty serious. One malicious container may bring thousands others down. Thanks

Comment 10 Marcelo Ricardo Leitner 2017-02-23 21:25:53 UTC
Btw the fix needs a follow-up
http://patchwork.ozlabs.org/patch/731526/

Comment 16 errata-xmlrpc 2017-05-25 15:39:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:1308 https://access.redhat.com/errata/RHSA-2017:1308